################################################################################
Name:             tomcatjss
################################################################################

Summary:          JSS Connector for Apache Tomcat
URL:              http://www.dogtagpki.org/wiki/TomcatJSS
License:          LGPLv2+
BuildArch:        noarch

Version:          7.3.0
Release:          1%{?dist}

Source:           https://github.com/dogtagpki/tomcatjss/archive/v%{version}/tomcatjss-%{version}.tar.gz

################################################################################
# Tomcat
################################################################################

%if 0%{?fedora} >= 27 || 0%{?rhel} > 7
%global app_server tomcat-8.5
%else
%if 0%{?fedora}
%global app_server tomcat-8.0
%else
%global app_server tomcat-7.0
%endif
%endif

################################################################################
# Build Dependencies
################################################################################

# jpackage-utils requires versioning to meet both build and runtime requirements
# jss requires versioning to meet both build and runtime requirements
# tomcat requires versioning to meet both build and runtime requirements
Conflicts:        pki-base < 10.6.0
BuildRequires:    ant
BuildRequires:    apache-commons-lang
BuildRequires:    java-devel
BuildRequires:    jpackage-utils >= 0:1.7.5-15
%if 0%{?fedora}
BuildRequires:    jss >= 4.4.2-2
%else
BuildRequires:    jss >= 4.4.0-7
%endif
%if 0%{?fedora} >= 27 || 0%{?rhel} > 7
BuildRequires:    tomcat >= 8.5.23
%else
%if 0%{?fedora}
BuildRequires:    tomcat >= 8.0.49
%else
BuildRequires:    tomcat >= 7.0.68
%endif
%endif

################################################################################
# Runtime Dependencies
################################################################################

Requires:         apache-commons-lang
%if 0%{?fedora} >= 21
Requires:         java-headless
%else
Requires:         java
%endif
Requires:         jpackage-utils >= 0:1.7.5-15
%if 0%{?fedora}
Requires:         jss >= 4.4.2-2
%else
Requires:         jss >= 4.4.0-7
%endif

%if 0%{?fedora} >= 27 || 0%{?rhel} > 7
Requires:         tomcat >= 8.5.23
%else
%if 0%{?fedora}
Requires:         tomcat >= 8.0.49
%else
Requires:         tomcat >= 7.0.68
%endif
%endif

# The 'tomcatjss' package conflicts with the 'tomcat-native' package
# because it uses an underlying NSS security model rather than the
# OpenSSL security model, so these two packages may not co-exist.
# (see Bugzilla Bug #441974 for details)
Conflicts:        tomcat-native

%if 0%{?rhel}
# For EPEL, override the '_sharedstatedir' macro on RHEL
%define           _sharedstatedir    /var/lib
%endif

%description
JSS Connector for Apache Tomcat, installed via the tomcatjss package,
is a Java Secure Socket Extension (JSSE) module for Apache Tomcat that
uses Java Security Services (JSS), a Java interface to Network Security
Services (NSS).

NOTE:  The 'tomcatjss' package conflicts with the 'tomcat-native' package
       because it uses an underlying NSS security model rather than the
       OpenSSL security model, so these two packages may not co-exist.

################################################################################
%prep
################################################################################

%autosetup -n tomcatjss-%{version} -p 1

################################################################################
%install
################################################################################

ant -f build.xml \
    -Dversion=%{version} \
    -Dsrc.dir=%{app_server} \
    -Djnidir=%{_jnidir} \
    -Dinstall.doc.dir=%{buildroot}%{_docdir}/%{name} \
    -Dinstall.jar.dir=%{buildroot}%{_javadir} \
    install

################################################################################
%files
################################################################################

%defattr(-,root,root)
%doc README
%doc LICENSE
%{_javadir}/*

################################################################################
%changelog
################################################################################
* Thu Apr 12 2018 Dogtag PKI Team <pki-devel@redhat.com> 7.3.0-1
- Cleaned up spec file
- Rebased to TomcatJSS 7.3.0 final

* Thu Mar 15 2018 Dogtag PKI Team <pki-devel@redhat.com> 7.3.0-0.2
- Rebased to TomcatJSS 7.3.0 beta
